## net.dontdrinkandroot.lastfm.api.model
Class Shout

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.Shout

All Implemented Interfaces:
  java.io.Serializable, AuthorEntity, BodyEntity, DateEntity, Entity

    public class Shout

extends LfmEntity
implements DateEntity, AuthorEntity, BodyEntity

See Also:
  Serialized Form

Constructor Summary
`Shout(org.w3c.dom.Element element)` Creates a `Shout` from a Dom `Element`.

Method Summary
`java.lang.String` `getAuthor()`
`java.lang.String` `getBody()`
`java.util.Date` `getDate()`
`void` `setAuthor(java.lang.String author)`
`void` `setBody(java.lang.String body)`
`void` `setDate(java.util.Date date)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shout

    public Shout(org.w3c.dom.Element element)

  Creates a `Shout` from a Dom `Element`.

  Parameters:
    `element` - The `Element` to parse.

Method Detail

### getDate

    public java.util.Date getDate()

  Specified by:
    `getDate` in interface `DateEntity`

### setDate

    public void setDate(java.util.Date date)

  Specified by:
    `setDate` in interface `DateEntity`

### getBody

    public java.lang.String getBody()

  Specified by:
    `getBody` in interface `BodyEntity`

### setBody

    public void setBody(java.lang.String body)

  Specified by:
    `setBody` in interface `BodyEntity`

### getAuthor

    public java.lang.String getAuthor()

  Specified by:
    `getAuthor` in interface `AuthorEntity`

### setAuthor

    public void setAuthor(java.lang.String author)

  Specified by:
    `setAuthor` in interface `AuthorEntity`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.